﻿Imports System.ServiceModel
Imports System.Configuration
Imports System.Data.SqlClient
Imports System.Collections.Generic
Imports System.ServiceModel.Activation
Imports System.Web.Script.Serialization
<AspNetCompatibilityRequirements(RequirementsMode:=AspNetCompatibilityRequirementsMode.Allowed)> _
Public Class Service
    Implements IService
    Public Function GetCustomers(ByVal prefix As String) As String Implements IService.GetCustomers
        Dim customers As New List(Of Object)()
        Dim sql As String = "SELECT * FROM Customers WHERE ContactName LIKE @prefix + '%'"
        Using conn As New SqlConnection()
            conn.ConnectionString = ConfigurationManager.ConnectionStrings("constr").ConnectionString
            Using cmd As New SqlCommand(sql)
                cmd.Parameters.AddWithValue("@prefix", prefix)
                cmd.Connection = conn
                conn.Open()
                Using sdr As SqlDataReader = cmd.ExecuteReader()
                    While sdr.Read()
                        customers.Add(New With { _
                             .CustomerId = sdr("CustomerId"), _
                             .Name = sdr("ContactName"), _
                             .Country = sdr("Country") _
                        })
                    End While
                End Using
                conn.Close()
            End Using
            Return (New JavaScriptSerializer().Serialize(customers))
        End Using
    End Function
End Class
